## GstWebRTCSCTPTransport

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstWebRTCSCTPTransport

Since : 1.20

### Class structure

#### GstWebRTCSCTPTransportClass

Since : 1.20

### GstWebRTC.WebRTCSCTPTransportClass

Since : 1.20

### GstWebRTC.WebRTCSCTPTransportClass

Since : 1.20

## GstWebRTC.WebRTCSCTPTransport

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──GstWebRTC.WebRTCSCTPTransport

Since : 1.20

## GstWebRTC.WebRTCSCTPTransport

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──GstWebRTC.WebRTCSCTPTransport

Since : 1.20

### Properties

#### max-channels

    “max-channels” guint

Flags : Read

#### max-channels

    “max-channels” Number

Flags : Read

#### max_channels

    “self.props.max_channels” int

Flags : Read

#### max-message-size

    “max-message-size” guint64

Flags : Read

#### max-message-size

    “max-message-size” Number

Flags : Read

#### max_message_size

    “self.props.max_message_size” int

Flags : Read

#### state

    “state” GstWebRTCSCTPTransportState *

Flags : Read

#### state

    “state” GstWebRTC.WebRTCSCTPTransportState

Flags : Read

#### state

    “self.props.state” GstWebRTC.WebRTCSCTPTransportState

Flags : Read

#### transport

    “transport” GstWebRTCDTLSTransport *

Flags : Read

#### transport

    “transport” GstWebRTC.WebRTCDTLSTransport

Flags : Read

#### transport

    “self.props.transport” GstWebRTC.WebRTCDTLSTransport

Flags : Read

## Function Macros

### GST_WEBRTC_DATA_CHANNEL_LOCK

    #define GST_WEBRTC_DATA_CHANNEL_LOCK(channel) g_mutex_lock(&((GstWebRTCDataChannel *)(channel))->lock)

### GST_WEBRTC_DATA_CHANNEL_UNLOCK

    #define GST_WEBRTC_DATA_CHANNEL_UNLOCK(channel) g_mutex_unlock(&((GstWebRTCDataChannel *)(channel))->lock)

The results of the search are